# Filecoin

*Filecoin* is a peer-to-peer network that stores files, with built-in economic incentives and cryptography to ensure files are stored reliably over time.

Filecoin is built on top of the same software powering [IPFS(opens in a new tab)](https://docs.ipfs.tech/concepts/what-is-ipfs/) protocol, which is a peer-to-peer distributed storage network that leverages [content addressing(opens in a new tab)](https://docs.ipfs.tech/concepts/content-addressing/) to allow permanent references to the data, and avoids relying on specific devices or cloud servers for addressing the content. Filecoin is different from IPFS because it has an incentive layer on top to incentivize contents to be reliably stored and accessed.

In order for your Web3 application to interact with Filecoin — either by reading blockchain data or sending transactions to the network — it must connect to a Filecoin node. Developers interact with the blockchain using the methods provided by the API.

The API interaction follows the [JSON-RPC(opens in a new tab)](https://www.jsonrpc.org/specification) which is a stateless, light-weight remote procedure call (RPC) protocol. It defines several data structures and the rules around their processing. It is transport agnostic in that the concepts can be used within the same process, over sockets, over HTTP, or in other message-passing environments. It uses JSON (RFC 4627) as data format.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://doc.data123.io/reference/api-reference/filecoin.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
